# Avidemux Shaders

Shaders for Avidemux with OpenGL support

## gopro_8:7 - Fisheye removal for GoPro 11+, 8:7 ratio
- unfish_gopro_8:7.glsl  
Shader for fisheye removal

- preset_gopro_8:7_1080.py  
Preset for mp4, 1656x1080, constant bitrate

- compute_gopro_8:7.py  
Script to compute output FOV and frame widening

### Installation for BSD/GNU-Linux systems:
- Copy the preset to ~/.avidemux6/custom/
- Copy the shader to /opt/rk/avidemux/ (or edit the preset to set the path)  

_For commercial OS's, figure out the paths yourself :)_
### Usage:
Load and edit video(s), select "Custom/preset_gopro_8:7_1080" in the menu and save the video.
